package com.example.wtf.repository;

import com.example.wtf.model.User;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface UserRepository extends CrudRepository<User, Long> {
    Optional<User> findById(Long id);
    boolean existsByUsername(String username);

    boolean existsByEmail(String email);
}
